Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2006-08-03 07:51:18


On 7/24/06 3:47 AM, "Chengwen Chen" <chenchengwen_at_[hidden]> wrote:

> I have tried to use v1.1 openmpi. but the program (AMBER9) I am using can't
> be compiled correctly by v1.1. So I seems that I have to keep using
> openmpi-1.02.

Can you explain what you mean by that? The user interface (i.e., the MPI
API) should not have changed between v1.0.2 and v1.1 -- can you show what
happened when you tried to compile your application with 1.1?

> I am new in linux, I really have no idea about debugger. Would you please
> give me some advice to try in a simple way?

I still have not filled up the OMPI FAQ with information on how to use
valgrind, but the information on the LAM/MPI FAQ is pretty relevant (note
that OMPI does not have a --with-purify option, so disregard that):

    http://www.lam-mpi.org/faq/

See the "Debugging programs under LAM/MPI" section.

-- 
Jeff Squyres
Server Virtualization Business Unit
Cisco Systems